## magyarispell 0.71

=== Makefile ===
magyar.hash: magyar.dict magyar.aff
	# ******* magyar ispell ragozsi sztr (magyar.hash) ellltsa *********
	buildhash magyar.dict magyar.aff magyar.hash

magyar.aff: aff.fej aff.alanyi aff.fonev
	# ******* magyar ispell ragozsi tblzat (magyar.aff) ellltsa *********
	cat aff.fej aff.alanyi aff.fonev aff.fonev.morfo | m4 >magyar.aff
	cat aff.targyas aff.ige_kiv | m4 >>magyar.aff

magyar.dict: ige_gen.awk fonev_gen.awk
	# ******* magyar ispell alapsztr (magyar.dict) ellltsa *********
	# sztrak egybemsolsa
	for i in _alap/*; do j=$$(basename $$i); cat [A-Z]*/$$j | \
	    sed 's/[	 ]*#.*$$//' | grep -v '^$$' >$$j; done
	# igkbl kpzett ms szfaj alakok ellltsa
	./igesgen
	# igk
	awk -v o="" -v e="" -v p="" -f ige_gen.awk <ige_alanyi >>magyar.dict
	awk -v o="/o" -v e="/e" -v p="/p" -f ige_gen.awk <ige_targy >>magyar.dict
	# mveltet igk
	awk -v o="/o" -v e="/e" -v p="/p" -f ige_gen.awk <ige_tat >>magyar.dict
	# hat igk
	awk -v o="" -v e="" -v p="" -f ige_gen.awk <ige_hat_alanyi >>magyar.dict
	awk -v o="/o" -v e="/e" -v p="/p" -f ige_gen.awk <ige_hat_targy >>magyar.dict
	# kivteles ragozs igk
	sed -e 's/$$/\/d/' <ige_morfo >>magyar.dict
	# kivteles ragozs fnevek
	cat fonev_morfo1 | cut -s -f 2 | sed -e 's/$$/\/I\/J\/Y/' >>magyar.dict
	cat fonev_morfo1 | cut -f 1 | awk -f fonev_gen2.awk | sed -e 's/$$/\/Y/' >>magyar.dict
	cat fonev_morfo2 | cut -s -f 2 | sed -e 's/$$/\/I\/Y/' >>magyar.dict
	cat fonev_morfo2 | cut -f 1 | awk -f fonev_gen2.awk | sed -e 's/$$/\/Y/' >>magyar.dict
	cat fonev_morfo2 | cut -f 3- | tr "\t" "\n" >>magyar.dict
	# fnevek
	awk -f fonev_gen.awk <fonev | sed -e 's/$$/\/Y\/D/' >>magyar.dict	
	awk -f mellek_sag.awk <melleknev >magyar.fonev
	cat tulajdonnev* | grep "^	" | tr -d "\t" >>magyar.dict
	cat tulajdonnev* | grep -v "^	" | cut -f 1 >>magyar.fonev 
	cat tulajdonnev* | grep '[aou][bcdfghjklmnprstvxyz]*[	].*i$$' | cut -sf 2 >>melleknev_mely
	cat tulajdonnev* | grep -v "^	" | cut -s -f 2 >>melleknev
	./ige_kiv.sh >>magyar.dict
	awk -f fonev_gen.awk <magyar.fonev | sed -e 's/$$/\/Y/' >>magyar.dict
	cat ige_eas  >magyar.fonev
	cat ige_hatosag >>magyar.fonev
	awk -f fonev_gen.awk <magyar.fonev | sed -e 's/$$/\/X\/Y\/D/' >>magyar.dict
	# mellknevek
	awk -f melleknev_gen.awk <melleknev >>magyar.dict
	awk -f melleknev_gen.awk <ige_o | sed -e 's/$$/\/X\/Y/' >>magyar.dict
	awk -f melleknev_gen.awk <ige_ando | sed -e 's/$$/\/X/' >>magyar.dict
	awk -f melleknev_gen.awk <ige_hato | sed -e 's/$$/\/X/' >>magyar.dict
	# egyb kivtelek
	cat kivetelek/igekts/* | grep -v ^# | m4 | tr "\t" "\n" | grep -v ^$$ | sed -e 's/$$/\/X/' >>magyar.dict
	cat ragozatlan kivetelek/ragozatlan/* | m4 | grep -v ^# | tr "\t" "\n" >>magyar.dict

install:
	# magyar.hash, magyar.aff a helyre
	mv magyar.hash $(DESTDIR)/usr/lib/ispell
	mv magyar.aff $(DESTDIR)/usr/lib/ispell
	# hungarian.hash -> magyar.hash kts ltrehozsa
	! [ -f $(DESTDIR)/usr/lib/ispell/hungarian.hash ] && ln -s magyar.hash $(DESTDIR)/usr/lib/ispell/hungarian.hash || true
	# spellhtml s spellhtmlic a helyre
	cp spellhtml/spellhtmlic spellhtml/spellhtml $(DESTDIR)/usr/bin

allinstal:
	install -D -o root -g root -m 0644 magyar.hash $(DESTDIR)/usr/lib/ispell/hungarian.hash
	install -o root -g root -m 0644 magyar.aff $(DESTDIR)/usr/lib/ispell/hungarian.aff
	install -D -o root -g root -m 0644 hu_HU.dic $(DESTDIR)/usr/share/myhungarian/hu_HU.dic
	install -o root -g root -m 0644 hu_HU.aff $(DESTDIR)/usr/share/myhungarian/hu_HU.aff

clean: 
	for i in _alap/*; do rm $$(basename $$i); done || true
	rm magyar* ige_ando ige_eas ige_hato ige_hatosag \
	    ige_hat_alanyi ige_hat_targy ige_o ige_tat

myspell:
	# hu_HU.aff myspell ragozsi tblzat ellltsa az sszes lehetsges cserebetvel
	# tvonal megadsa dir paramterrel, pl.: make myspell dir=OpenOffice/user/wordbook/
	bin/i2myspell $(ISPELLDIR)magyar README_hu_HU.txt A-Z a-z >$(dir)hu_HU.aff
	bin/i2myspell -d magyar.dict >$(dir)hu_HU.dic

all: magyar.hash
	make myspell ISPELLDIR=$(CURDIR)/

new:
	# j modul ltrehozsa
	echo -n "Adja meg az j modulknyvtr nevt (a kezd alhzsjelet nem kell): _"; \
	    read D; mkdir "_$$D" && \
	    for i in _alap/*; do grep "^#" $$i >"_$$D/`basename $$i`"; done; \
	    ln -s _$$D `echo $$D | sed 's/^\(.\).*/\1/' | tr a-z A-Z``echo $$D | sed 's/^.\(.*\)/\1/'`

=== spellhtml/Makefile ===
spellhtmlic: spellhtmlic.flex
	flex spellhtmlic.flex
	gcc -lfl lex.yy.c -o spellhtmlic
clean:
	rm -f lex.yy.c

## magyarispell 0.99.4

=== Makefile ===
# Magyar Ispell helyesrsi sztr
# makefile v0.2 (2002.11.22.)

#######################################################################
# Felahsznli bellts

# KNYVTRAK 
# clknyvtrak prefixuma
PREFIX?=/usr
# ispell clknyvtr; ide kerlnek: magyar.hash hungarian.hash magyar.aff
ISPELLDIR?=$(PREFIX)/lib/ispell
# myspell clknyvtr; ide kerlnek:
# hu_HU.dic hu_HU.aff hungarian.dic hungarian.aff
MYSPELLDIR?=$(PREFIX)/share/myspell
# OpenOffice clknyvtr: ide kerlnek: hu_HU.aff hu_HU.dic
OODIR?=$(PREFIX)/OpenOffice.org/user/wordbook
# parancsok
INSTALL_DATA?=install
M4?=m4
CC?=cc
FLEX?=flex
AWK?=awk

# a szotar sikeres elkeszitesehez BOURNE kompatibilis shell kell!
# ilyenek a ksh, bash, zsh.
SH=/bin/sh

# Felhasznli bellts vge
#######################################################################

# gykrknyvtr
ROOTDIR=$(shell pwd)
# munkaknyvtar
WRKDIR=$(ROOTDIR)/tmp
# a sztrknyvtr
SZOTAR=$(ROOTDIR)/szotar
# affix llomnyok
AFFDIR=$(ROOTDIR)/aff
# awk scriptek
AWKDIR=$(ROOTDIR)/awk
# sztrfjl
DICT=$(WRKDIR)/dictionary
# soremels
EN=
EC=
ECHO_N=$(shell echo -n)
ifeq "$(ECHO_N)" ""
  EN=-n
else
  EC="\\c"
endif

# keressi tvonalak:
	vpath %.aff $(AFFDIR)
	vpath %.aff $(WRKDIR)
	vpath %.hash $(WRKDIR)
	vpath %.dict $(WRKDIR)
	vpath %.awk $(AWKDIR)

# ez a default target ha nincs megadva paramter
default: myspell

# modulvlaszts, mens interfsz
menu:
	@$(SH) bin/modul $(SZOTAR)
	make myspell

# munkaknyvtrak ltrehozsa
$(WRKDIR) $(OODIR) $(MYSPELLDIR) $(ISPELLDIR): 
	@mkdir -p $@ 

# hasttbla ltrehozsa a megfelel helyesrs-ellenrzhz (Ispell/Myspell)
# magyar4X.hash ahol X={ispell,myspell}
magyar4ispell.hash: $(WRKDIR) magyar4ispell.dict magyar.aff
	@echo "===> Ispell ragozsi sztr (magyar4ispell.hash)"
	@buildhash $(WRKDIR)/magyar4ispell.dict $(WRKDIR)/magyar.aff \
	    $(WRKDIR)/magyar4ispell.hash 2> $(WRKDIR)/magyar4ispell.log

# sztr (.dic llomny) ltrehozsa a megfelel helyesrs-ellenrzhz (Ispell/Myspell)
# magyar4X.dict ahol X={ispell,myspell}
magyar4%.dict: $(WRKDIR)
	@echo "===> magyar $(*F) alapsztr (magyar4$(*F).dict) ellltsa"

	@echo "==> sztrak egybemsolsa"
	@$(SH) bin/copydict $(SZOTAR) $(WRKDIR) $(*F)

	@echo "==> igbl kpzett alakok ellltsa"
	@$(SH) bin/igesgen $(ROOTDIR)

	@echo "==> igk"
	@$(SH) bin/igek $(ROOTDIR)

	@echo "==> fnevek"
	@$(SH) bin/fonevek $(ROOTDIR)

	@echo "==> mellknevek"
	@$(SH) bin/melleknevek $(ROOTDIR) $(*F)

# egyb kivtelek: az m4 miatt nem megy kln hjprogramba
	@echo "==> kivtelek"
	@cat $(SZOTAR)/kivetelek/igekotos/*.1* \
		| grep -v ^# | $(M4) | tr "\t" "\n" \
		| grep -v ^$$ | sed -e 's/$$/\/X/' \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(SZOTAR)/kivetelek/igekotos/*.2* \
		| grep -v ^# | $(M4) | $(AWK) -f $(AWKDIR)/tovek.awk -v param="/X" \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(SZOTAR)/kivetelek/ragozatlan/*.1* \
		| $(M4) | grep -v ^# | grep -v "#[A-Z]" \
		| sed 's/[	 ]*#.*$$//' | tr "\t" "\n" \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(SZOTAR)/kivetelek/ragozatlan/*.1* \
		| $(M4) | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
		| tr "\t" "\n" \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
		| $(M4) | grep -v ^# | grep -v "#[A-Z]" \
		| sed 's/[	 ]*#.*$$//' \
		| $(AWK) -f $(AWKDIR)/tovek.awk \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
		| $(M4) | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
		| $(AWK) -f $(AWKDIR)/tovek.awk \
		>> $(DICT)

	@echo $(EN) ."$(EC)"

	@echo "==> tiltott szavak"
	@$(SH) bin/tiltott $(ROOTDIR) $(*F)

	@mv $(DICT) $(WRKDIR)/magyar4$(*F).dict
	@echo ok.

# ragozsi tblzat (magyar.aff) ellltsa
magyar.aff: $(WRKDIR) eleje.aff ige_alanyi.aff fonev.aff
	@echo "===> ragozsi tblzat (magyar.aff) ellltsa"
	@cd $(AFFDIR);\
	    cat eleje.aff ige_alanyi.aff fonev.aff fonev_morfo.aff \
	    | $(M4) > $(WRKDIR)/magyar.aff;\
	    cat ige_targyas.aff ige_morfo.aff \
	    | $(M4) >> $(WRKDIR)/magyar.aff;

# ispell-installls: magyar.hash, magyar.aff a helyre (ISPELLDIR knyvtr)
# a default rtkkel csak rendszergazdaknt tudjuk kiadni!
install_ispell: ispell $(ISPELLDIR)
	@echo "==> ispell llomnyok (magyar.aff magyar.hash) teleptse"
	@echo "	clknyvtr: $(ISPELLDIR)"
	@$(INSTALL_DATA) $(WRKDIR)/magyar.aff $(ISPELLDIR)/magyar.aff
	@$(INSTALL_DATA) $(WRKDIR)/magyar4ispell.hash $(ISPELLDIR)/magyar.hash
# hungarian.aff link nem kell?
	@if [ ! -h $(ISPELLDIR)/hungarian.hash ]; then \
		ln -s magyar.hash $(ISPELLDIR)/hungarian.hash; \
	fi

# myspell-installls: hu_HU.dic, hu_HU.aff a helyre (MYSPELLDIR knyvtr)
# s ktsek ltrehozsa
# a default rtkkel csak rendszergazdaknt tudjuk kiadni!
install_myspell: myspell $(MYSPELLDIR)
	@echo "==> myspell llomnyok (hu_HU.dic s hu_HU.aff) teleptse"
	@echo "	clknyvtr: $(MYSPELLDIR)"

	@cp -f $(WRKDIR)/hu_HU.{dic,aff} $(MYSPELLDIR)/
#	
# magyar.aff -> hu_HU.aff kts ltrehozsa
	@echo " myspell linkek ({magyar,hungarian}.{dic,aff}) ltrehozsa"
	@if [ ! -h $(MYSPELLDIR)/magyar.aff ]; then \
		ln -s hu_HU.aff $(MYSPELLDIR)/magyar.aff; \
	fi
#	
# magyar.dic -> hu_HU.dic kts ltrehozsa
	@if [ ! -h $(MYSPELLDIR)/magyar.dic ]; then \
		ln -s hu_HU.dic $(MYSPELLDIR)/magyar.dic; \
	fi
#	
# hungarian.aff -> hu_HU.aff kts ltrehozsa
	@if [ ! -h $(MYSPELLDIR)/hungarian.aff ]; then \
		ln -s hu_HU.aff $(MYSPELLDIR)/hungarian.aff; \
	fi	 
#	
# hungarian.dic -> hu_HU.dic kts ltrehozsa
	@if [ ! -h $(MYSPELLDIR)/hungarian.dic ]; then \
		ln -s hu_HU.dic $(MYSPELLDIR)/hungarian.dic; \
	fi

install_OO: myspell $(OODIR)
	@echo "OpenOffice.org llomnyok (hu_HU.dic s hu_HU.aff) teleptse"
	@echo "	clknyvtr: $(OODIR)"
	@$(INSTALL_DATA) $(WRKDIR)/hu_HU.{dic,aff} $(OODIR)

install: install_all

install_all: install_myspell install_ispell install_OO 

# ispell opcival kompillt hashtbla 
ispell: magyar4ispell.hash

# hu_HU.aff myspell ragozsi tblzat s a hu_HU.dic sztr ellltsa
myspell: magyar4myspell.dict magyar.aff hu_HU.aff hu_HU.dic

# - hu_HU.aff myspell ragozsi tblzat ellltsa az sszes
#   lehetsges cserebetvel
# a myspellhez ellltott magyar.aff llomnyhoz
hu_HU.aff: magyar.aff
	@echo "===> myspell ragozsi tblzat (hu_HU.aff) ellltsa"
	@$(SH) bin/i2myspell $(WRKDIR)/magyar.aff MYSPELL_heading \
		A-Z a-z | \
		sed 's/q\([^[]*\]\)/-\1/' >$(WRKDIR)/hu_HU.aff 
# q ktjell alaktva a szablyokban

# hu_HU.dic sztr ellltsa
# a myspellhez ellltott hashtblbl (magyar4myspell.hash)
hu_HU.dic: magyar.aff
	@echo "===> myspell sztr (hu_HU.dic) ellltsa"
	@$(SH) bin/i2myspell \
	    -d $(WRKDIR)/magyar4myspell.dict > $(WRKDIR)/hu_HU.dic

# minden komponens kompillsa
all: ispell myspell

# j modul ltrehozsa
new:
	@echo "==> j modul ltrehozsa"
	@$(SH) bin/modul $(SZOTAR) uj

# takarts
clean: 
	@-rm -rf $(WRKDIR) *~

# a modulvlaszts defaultra val visszalltsa
# a kizrand modulok explicite megadandk az "if"-ben
distclean:
	@for DIR in `find $(SZOTAR) -type d -name "_?*" -maxdepth 1 -noleaf`; do \
		MODULE_LOWER=`echo $(EN) $${DIR}"$(EC)" | sed 's/^.*\/_//'`; \
		MODULE=`echo $(EN) $${MODULE_LOWER}"$(EC)" | sed 's/^\(.\).*/\1/' | \
		tr a-z A-Z; \
		echo $(EN) $${MODULE_LOWER}"$(EC)" | sed 's/^.\(.*\)/\1/'`; \
		if [ "$${MODULE}" = "Huhyph2" ]; then \
			for LINK in `find $(SZOTAR) -type l -name "[A-Z]*" \
			-lname _$${MODULE_LOWER} -maxdepth 1 -noleaf`; do \
				rm -f $${LINK}; \
			done; \
		else \
			ln -s -f -n _$${MODULE_LOWER} $(SZOTAR)/$${MODULE}; \
		fi; \
	done

distbin:
	make clean
	pwd=$$(pwd); cd ..; tar cv $$(basename $$pwd) | gzip >$$pwd.tar.gz

=== fejlesztes/szamforras/Makefile ===
szmok: szam.dic szam.aff
	# Az unmunch segdprogram a MySpell rsze
	./unmunch szam.dic szam.aff | sort | uniq | sed 's/$$/ #MYSPELL/' >szamok.1
	cat plusz >>szamok.1

=== debian/changelog ===
magyarispell (0.99.4-3) unstable; urgency=low

  * QA upload for switching to new ispell.
  * Ack NMU (closes: #549108).
  * Switch to the `3.0 (quilt)' source format:
    + initial Fix-i2myspell-script.patch with changes introduced in 0.99.4-2.
  * Provide myspell-hu.info-hunspell file.
  * Bump debhelper compat level to 8.
  * Remove any preinst and postinst files (closes: #619279).

  * debian/rules:
    + use `installdeb-myspell --srcdir' instead of manually installing
      the info-myspell file and dictionaries;
    + stop shipping compatibility links in /usr/share/myspell;
    + make use of installdeb-hunspell;
    + switch to debhelper's tiny rules format.

  * debian/control:
    + Standards-Version: 3.9.1;
    + bump (build-)dependencies on dictionaries-common(-dev) to >= 1.10;
    + bump (build-)dependencies on ispell to >= 3.3.02;
    + bump build-dependency on debhelper to >= 8;
    + remove conflicts with ancient version of openoffice.org (lintian);
    + remove ancient conflicts/replaces/provides on myhungarian;
    + remove alternative dependency on openoffice.org-updatedicts;
    + remove article from short description (lintian);
    + sort dependency fields with wrap-and-sort from ubuntu-dev-tools;
    + make myspell-hu package provide hunspell-dictionary and suggest 
      libreoffice instead of transitional openoffice.org.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Mar 2011 19:47:09 +0200

magyarispell (0.99.4-2) unstable; urgency=low

  * QA upload.
  * debian/control: Set maintainer to Debian QA Group.
  * bin/i2myspell: Apply patch from Timur Birsh <taem@linukz.org> to
    generate dictionary correctly. (Closes: #591365)

 -- Tim Retout <diocles@debian.org>  Fri, 08 Oct 2010 20:36:04 +0100

magyarispell (0.99.4-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * build with LANG=C to work around build failure (closes: #549047)
    Thanks to Rene Engelhard for the patch.
  * Various lintian housekeeping:
  * Bump debhelper compatibility from 2(!) to 7
  * As a consequence, replace "dh_clean -k" by "dh_prep"
  * Add proper copyright information to debian/copyright
  * While at it, move the information about the new upstream location to
    Homepage: in debian/control
  * Rephrase package descriptions to better fit current recommendations
    from the Developer's Reference
  * Drop dependency on "debconf | debconf-2.0" which is already handled
    by ${misc:Depends}
  * No longer ignore errors from make in debian/rules
  * Drop spellhtml.debhelper.log leftover file in debian/

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Mar 2010 10:37:07 +0100

magyarispell (0.99.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * add hu.{dic,aff} -> hu_HU.{dic,aff} symlink (closes: #373744) and
    remove hu-HU.{dic,aff} link
  * move dict to /usr/share/hunspell and add compat symlinks from
    /usr/share/myspell/dicts (closes: #541926)
  * utf8ize copyright
  * DH_COMPAT -> debian/compat
  * add ${misc:Depends}

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Sep 2009 16:40:04 +0200

magyarispell (0.99.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * cdebconf transition: allow the dependency on debconf to be satisfied with
    an alternate of debconf-2.0 (Closes: #332015).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 20 Aug 2007 20:11:16 +0200

magyarispell (0.99.4-1) unstable; urgency=high

  * New upstream release
  * Upstream fixed FTBFS bug in bin/igesgen and bin/copydict
  * Coding system is fixed to 8859-2 in ihungarian's info-ispell file
  * Dependencies for the approprriate versions of dictionaries-common
    and dictionaries-common-dev added as in Bugreport #232151 agmartin
    mentioned (closes: #232151)
  * Project Homepage moved to magyarispell.sf.net, so I write this
    change to the copyright file

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Thu, 19 Feb 2004 23:47:05 +0000

magyarispell (0.94-2.1) unstable; urgency=low

  * NMU
  * new myspell policy package (closes: #206124)
  * remove full stops from package descriptions

 -- Rene Engelhard <rene@debian.org>  Fri,  8 Aug 2003 12:55:29 +0200

magyarispell (0.94-2) unstable; urgency=low

  * Gunnar's fixes works (closes: #201174)
  * fix debian/rules, to not build spellhtml (closes: #202363)

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Tue, 22 Jul 2003 10:37:12 +0200

magyarispell (0.94-1.1) unstable; urgency=low

  * Two scripts did not begin with #!/bin/sh (Closes: 201174)
  * NMU by Gunnar Wolf <gwolf@debian.org>

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 18 Jul 2003 12:15:07 +0200

magyarispell (0.94-1) unstable; urgency=low

  * New upstream release

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Tue,  8 Jul 2003 23:01:24 +0200

magyarispell (0.84-1.1) unstable; urgency=low

  * New policy package (closes: #164258)

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Oct 2002 16:40:59 +0100

magyarispell (0.84-1) unstable; urgency=low

  * New upstream release

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Tue,  4 Jun 2002 09:38:24 +0200

magyarispell (0.83-1) unstable; urgency=low

  * New upstream release

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Mon,  3 Jun 2002 15:07:14 +0200

magyarispell (0.82-1) unstable; urgency=low

  * New upstream release

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Sun, 19 May 2002 22:45:03 +0200

magyarispell (0.81-1) unstable; urgency=low

  * New upstream release

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Fri, 10 May 2002 15:57:48 +0200

magyarispell (0.80-1) unstable; urgency=low

  * New upstream release

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Tue, 30 Apr 2002 15:31:30 +0200

magyarispell (0.71-2) unstable; urgency=high

  * Closes: #144144

 -- PASZTOR Gyorgy <pasztor@linux.gyakg.u-szeged.hu>  Tue, 23 Apr 2002 12:05:47 +0200

magyarispell (0.71-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: magyarispell
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 8),
               dictionaries-common-dev (>= 1.10),
               ispell (>= 3.3.02),
               m4
Homepage: http://magyarispell.sourceforge.net/

Package: ihungarian
Architecture: any
Depends: dictionaries-common (>= 1.10), ispell (>= 3.3.02), ${misc:Depends}
Provides: ispell-dictionary
Description: Hungarian dictionary for ispell
 This package provides the Hungarian dictionary for ispell made by
 NEMETH Laszlo <nemethl@gyorsposta.hu>.

Package: myspell-hu
Architecture: all
Depends: dictionaries-common (>= 1.10), ${misc:Depends}
Suggests: libreoffice
Provides: hunspell-dictionary,
          hunspell-dictionary-hu,
          myspell-dictionary,
          myspell-dictionary-hu
Description: Hungarian dictionary for myspell
 This package provide the Hungarian dictionary for use with the
 myspell spellchecker which is currently used within OpenOffice.org
 and the mozilla spellchecker.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_build:
	LANG="C" $(MAKE) ispell myspell

override_dh_auto_install:
	# ihungarian
	install -m 0644 tmp/magyar.aff         debian/ihungarian/usr/lib/ispell/hungarian.aff
	install -m 0644 tmp/magyar4ispell.hash debian/ihungarian/usr/lib/ispell/hungarian.hash
	installdeb-ispell    -pihungarian 
	# myspell-hu
	installdeb-myspell   -pmyspell-hu --srcdir=$(CURDIR)/tmp 
	installdeb-hunspell  -pmyspell-hu

## magyarispell 1.2

=== Makefile ===
# Magyar Ispell helyesrsi sztr
# makefile v0.21 (2007. 5. 2.)

#######################################################################
# Felhasznli bellts

# KNYVTRAK 
# clknyvtrak prefixuma
PREFIX?=/usr
# ispell clknyvtr; ide kerlnek: magyar.hash hungarian.hash magyar.aff
ISPELLDIR?=$(PREFIX)/lib/ispell
# myspell clknyvtr; ide kerlnek:
# hu_HU.dic hu_HU.aff hungarian.dic hungarian.aff
MYSPELLDIR?=$(PREFIX)/share/myspell
# OpenOffice clknyvtr: ide kerlnek: hu_HU.aff hu_HU.dic
OODIR?=$(PREFIX)/OpenOffice.org/user/wordbook
# parancsok
INSTALL_DATA?=install
M4?=m4
CC?=cc
FLEX?=flex
AWK?=awk

# a szotar sikeres elkeszitesehez BOURNE kompatibilis shell kell!
# ilyenek a ksh, bash, zsh.
SH=/bin/sh

# Felhasznli bellts vge
#######################################################################

# gykrknyvtr
ROOTDIR=$(shell pwd)
# munkaknyvtar
WRKDIR=$(ROOTDIR)/tmp
# a sztrknyvtr
SZOTAR=$(ROOTDIR)/szotar
# affix llomnyok
AFFDIR=$(ROOTDIR)/aff
# scriptek
BINDIR=$(ROOTDIR)/bin
# awk scriptek
AWKDIR=$(ROOTDIR)/awk
# sztrfjl
DICT=$(WRKDIR)/dictionary
# soremels
EN=
EC=
ECHO_N=$(shell echo -n)
ifeq "$(ECHO_N)" ""
  EN=-n
else
  EC="\\c"
endif
CATUTF="$(BINDIR)/catutf"

# keressi tvonalak:
	vpath %.aff $(AFFDIR)
	vpath %.aff $(WRKDIR)
	vpath %.hash $(WRKDIR)
	vpath %.dict $(WRKDIR)
	vpath %.awk $(AWKDIR)

# ez a default target ha nincs megadva paramter
default: myspell
	@cat $(ROOTDIR)/logo.txt | $(CATUTF)

# modulvlaszts, mens interfsz
menu:
	@vi szotar.konf
	#@$(SH) bin/modul $(SZOTAR)
	make myspell

# munkaknyvtrak ltrehozsa
$(WRKDIR) $(OODIR) $(MYSPELLDIR) $(ISPELLDIR): 
	@mkdir -p $@ 

# hasttbla ltrehozsa a megfelel helyesrs-ellenrzhz (Ispell/Myspell)
# magyar4X.hash ahol X={ispell,myspell}
magyar4ispell.hash: $(WRKDIR) magyar4ispell.dict magyar.aff
	@echo "===> Ispell ragozsi sztr (magyar4ispell.hash)" | $(CATUTF)
	@buildhash $(WRKDIR)/magyar4ispell.dict $(WRKDIR)/magyar.aff \
	    $(WRKDIR)/magyar4ispell.hash 2> $(WRKDIR)/magyar4ispell.log

# sztr (.dic llomny) ltrehozsa a megfelel helyesrs-ellenrzhz (Ispell/Myspell)
# magyar4X.dict ahol X={ispell,myspell}
magyar4%.dict: $(WRKDIR)
	@echo "===> magyar $(*F) alapsztr (magyar4$(*F).dict) ellltsa" | $(CATUTF)

	@echo "==> szimbolikus ktsek ltrehozsa a szotar.konf alapjn" | $(CATUTF)
	@$(SH) bin/makesymlink $(WRKDIR) szotar.konf

	@echo "==> sztrak egybemsolsa" | $(CATUTF)
	@$(SH) bin/copydict $(WRKDIR) $(WRKDIR) $(*F)

	@echo "==> igbl kpzett alakok ellltsa" | $(CATUTF)
	@$(SH) bin/igesgen $(ROOTDIR)

	@echo "==> igk" | $(CATUTF)
	@$(SH) bin/igek $(ROOTDIR)

	@echo "==> nvszk" | $(CATUTF)
	@$(SH) bin/fonevek $(ROOTDIR)

	@echo "==> morfolgiai kdok" | $(CATUTF)
	@$(SH) bin/kodok $(ROOTDIR)

# egyb kivtelek: az m4 miatt nem megy kln hjprogramba
	@echo "==> kivtelek" | $(CATUTF)
	@cat $(SZOTAR)/kivetelek/igekotos/*.2* \
		| grep -v ^# | $(M4) | LC_ALL=C $(AWK) -f $(AWKDIR)/tovek.awk -v param="/X" \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(SZOTAR)/kivetelek/ragozatlan/*.1* \
		| $(M4) | grep -v ^# | grep -v "#[A-Z]" \
		| sed 's/[	 ]*#.*$$//' | tr "\t" "\n" \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(SZOTAR)/kivetelek/ragozatlan/*.1* \
		| $(M4) | grep -v ^# | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
		| tr "\t" "\n" \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
		| $(M4) | grep -v ^# | grep -v "#[A-Z]" \
		| sed 's/[	 ]*#.*$$//' \
		| LC_ALL=C $(AWK) -f $(AWKDIR)/tovek.awk \
		>> $(DICT)
	@echo $(EN) ."$(EC)"
	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
		| $(M4) | grep -v ^# | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
		| LC_ALL=C $(AWK) -f $(AWKDIR)/tovek.awk \
		>> $(DICT)
	@echo Rendben.

	@echo $(EN) ."$(EC)"

	@echo "==> tiltott szavak"
	@$(SH) bin/tiltott $(ROOTDIR) $(*F)

	@mv $(DICT) $(WRKDIR)/magyar4$(*F).dict
	@echo Rendben.

# ragozsi tblzat (magyar.aff) ellltsa
magyar.aff: $(WRKDIR) eleje.aff ige_alanyi.aff fonev.aff fonev_kepzo.aff ige_kepzo.aff
	@echo "===> ragozsi tblzat (magyar.aff) ellltsa" | $(CATUTF)
	@cd $(AFFDIR);\
	    cat eleje.aff ige_kepzo.aff fonev_kepzo.aff ige_morfo.aff ige_alanyi.aff \
            fonev.aff fonev_morfo.aff ige_targyas.aff | $(M4) > $(WRKDIR)/magyar.aff;

# ispell-installls: magyar.hash, magyar.aff a helyre (ISPELLDIR knyvtr)
# a default rtkkel csak rendszergazdaknt tudjuk kiadni!
install_ispell: ispell $(ISPELLDIR)
	@echo "==> ispell llomnyok (magyar.aff magyar.hash) teleptse" | $(CATUTF)
	@echo "	clknyvtr: $(ISPELLDIR)" | $(CATUTF)
	@$(INSTALL_DATA) $(WRKDIR)/magyar.aff $(ISPELLDIR)/magyar.aff
	@$(INSTALL_DATA) $(WRKDIR)/magyar4ispell.hash $(ISPELLDIR)/magyar.hash
# hungarian.aff link nem kell?
	@if [ ! -h $(ISPELLDIR)/hungarian.hash ]; then \
		ln -s magyar.hash $(ISPELLDIR)/hungarian.hash; \
	fi

# myspell-installls: hu_HU.dic, hu_HU.aff a helyre (MYSPELLDIR knyvtr)
# s ktsek ltrehozsa
# a default rtkkel csak rendszergazdaknt tudjuk kiadni!
install_myspell: myspell $(MYSPELLDIR)
	@echo "==> myspell llomnyok (hu_HU.dic s hu_HU.aff) teleptse" | $(CATUTF)
	@echo "	clknyvtr: $(MYSPELLDIR)" | $(CATUTF)

	@cp -f $(WRKDIR)/hu_HU.{dic,aff} $(MYSPELLDIR)/
#	
# magyar.aff -> hu_HU.aff kts ltrehozsa
	@echo " myspell linkek ({magyar,hungarian}.{dic,aff}) ltrehozsa" | $(CATUTF)
	@if [ ! -h $(MYSPELLDIR)/magyar.aff ]; then \
		ln -s hu_HU.aff $(MYSPELLDIR)/magyar.aff; \
	fi
#	
# magyar.dic -> hu_HU.dic kts ltrehozsa
	@if [ ! -h $(MYSPELLDIR)/magyar.dic ]; then \
		ln -s hu_HU.dic $(MYSPELLDIR)/magyar.dic; \
	fi
#	
# hungarian.aff -> hu_HU.aff kts ltrehozsa
	@if [ ! -h $(MYSPELLDIR)/hungarian.aff ]; then \
		ln -s hu_HU.aff $(MYSPELLDIR)/hungarian.aff; \
	fi	 
#	
# hungarian.dic -> hu_HU.dic kts ltrehozsa
	@if [ ! -h $(MYSPELLDIR)/hungarian.dic ]; then \
		ln -s hu_HU.dic $(MYSPELLDIR)/hungarian.dic; \
	fi

install_OO: myspell $(OODIR)
	@echo "OpenOffice.org llomnyok (hu_HU.dic s hu_HU.aff) teleptse" | $(CATUTF)
	@echo "	clknyvtr: $(OODIR)" | $(CATUTF)
	@$(INSTALL_DATA) $(WRKDIR)/hu_HU.{dic,aff} $(OODIR)

install: install_all

install_all: install_myspell install_ispell install_OO 

# ispell opcival kompillt hashtbla 
#ispell: magyar4ispell.hash

# hu_HU.aff myspell ragozsi tblzat s a hu_HU.dic sztr ellltsa
myspell: magyar4myspell.dict magyar.aff hu_HU.aff hu_HU.dic kr

# - hu_HU.aff myspell ragozsi tblzat ellltsa az sszes
#   lehetsges cserebetvel
# a myspellhez ellltott magyar.aff llomnyhoz
hu_HU.aff: magyar.aff
	@echo "===> myspell ragozsi tblzat (hu_HU.aff) ellltsa" | $(CATUTF)
	@$(SH) bin/i2myspell $(WRKDIR)/magyar.aff MYSPELL_heading \
		A-Z a-z | sed 's/q\([^[]*\]\)/-\1/' | \
                bin/newsyntax >$(ROOTDIR)/hu_HU_morph.aff
	@$(AWK) -f $(AWKDIR)/delete_morph_tags.awk $(ROOTDIR)/hu_HU_morph.aff | \
		sed 's/&agrave;//g;s/&oslash;//g' >$(ROOTDIR)/hu_HU.aff
	

# q ktjell alaktva a szablyokban

# hu_HU.dic sztr ellltsa
# a myspellhez ellltott hashtblbl (magyar4myspell.hash)
hu_HU.dic: magyar.aff
	@echo "===> myspell sztr (hu_HU.dic) ellltsa" | $(CATUTF)
	@$(SH) bin/i2myspell -d $(WRKDIR)/magyar4myspell.dict | \
	      bin/lemma_present | bin/quniq >$(ROOTDIR)/hu_HU_morph.dic
	@LC_ALL=C sed 's/	.*//' $(ROOTDIR)/hu_HU_morph.dic >$(ROOTDIR)/hu_HU.dic

u8: hu_HU.aff hu_HU.dic
	@echo "===> Unicode karakterkdols llomnyok ellltsa" | $(CATUTF)
	@bin/u8myspell $(ROOTDIR)/hu_HU_morph $(WRKDIR)/hu_HU_u8_morph l2
	@cat $(WRKDIR)/hu_HU_u8_morph.dic | sed 's#	/#/#' >$(ROOTDIR)/hu_HU_u8_morph.dic
	@mv $(WRKDIR)/hu_HU_u8_morph.aff $(ROOTDIR)
	@sed 's/	.*//' $(ROOTDIR)/hu_HU_u8_morph.dic >$(ROOTDIR)/hu_HU_u8.dic
	@$(AWK) -f $(AWKDIR)/delete_morph_tags.awk $(ROOTDIR)/hu_HU_u8_morph.aff \
		>$(ROOTDIR)/hu_HU_u8.aff 
        
kr: hu_HU.aff hu_HU.dic u8 
	@cd kr; make

# minden komponens kompillsa
all: ispell myspell

# j modul ltrehozsa
new:
	@echo "==> j modul ltrehozsa" | $(CATUTF)
	@$(SH) bin/modul $(SZOTAR) uj

# takarts
clean: 
	@-rm -rf $(WRKDIR) *~ $(ROOTDIR)/hu_*

# a modulvlaszts defaultra val visszalltsa
# a kizrand modulok explicite megadandk az "if"-ben
distclean:
	@for DIR in `find $(SZOTAR) -type d -name "_?*" -maxdepth 1 -noleaf`; do \
		MODULE_LOWER=`echo $(EN) $${DIR}"$(EC)" | sed 's/^.*\/_//'`; \
		MODULE=`echo $(EN) $${MODULE_LOWER}"$(EC)" | sed 's/^\(.\).*/\1/' | \
		tr a-z A-Z; \
		echo $(EN) $${MODULE_LOWER}"$(EC)" | sed 's/^.\(.*\)/\1/'`; \
		if [ "$${MODULE}" = "Huhyph2" ]; then \
			for LINK in `find $(SZOTAR) -type l -name "[A-Z]*" \
			-lname _$${MODULE_LOWER} -maxdepth 1 -noleaf`; do \
				rm -f $${LINK}; \
			done; \
		else \
			ln -s -f -n _$${MODULE_LOWER} $(SZOTAR)/$${MODULE}; \
		fi; \
	done

distbin:
	make clean
	pwd=$$(pwd); cd ..; tar cv $$(basename $$pwd) | gzip >$$pwd.tar.gz

## magyarispell 1.2+repack

=== debian/changelog ===
magyarispell (1.2+repack-2) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Use git address for Vcs-Git.
    - Remove explicit ihungarian home and upstream email info.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 12 Jan 2012 11:20:11 +0100

magyarispell (1.2+repack-1) unstable; urgency=low

  * QA upload.
  * New upstream release (Closes: #476677,#585132). This is a Debian
    package based in Ubuntu package to make comon dependencies
    simpler.
  * debian/changelog:
    - Add missing changelog entries for some Debian uploads.
      Sorted after versions, not dates.
    - Remove obsolete Local Vars section from changelog.
  * debian/control:
    - Set maintainer to Debian QA.
    - Re-add Homepage field.
    - Add Vcs-Browser and Vcs-Git fields.
    - Bump Standards Version.
    - Fix lintian description-synopsis-starts-with-article.
  * debian/{source,patches}/*: Re-add Debian quilt format settings and
    diffs.
    - Add ${misc:Depends}.
    - Remove ancient openoffice.org-updatedicts dependency.
  * Add debian/watch file.
  * debian/myspell-hu.links: Remove obsolete file.
  * debian/myspell-hu.dirs: Do not create ancient myspell dirs.
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
    - No longer install info-myspell file.
  * debian/copyright:
    - Recoded to UTF-8
    - Updated. Append COPYING.MPL.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 11 Jan 2012 16:52:54 +0100

magyarispell (1.2+repack-0ubuntu1) precise; urgency=low

  * Drop debian/myspell-hu.post{inst,rm} to drop now obsolete
    update-openoffice-dicts call. (LP: #901572)
  * Repack broken orig.tar.gz to not have the debian/ dir.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Dec 2011 10:26:55 +0100

magyarispell (1.2-0ubuntu2) lucid; urgency=low

  * Dictionary transition.

 -- Chris Cheney <ccheney@ubuntu.com>  Wed, 03 Feb 2010 16:45:00 -0600

magyarispell (1.2-0ubuntu1build1) gutsy; urgency=low

  * No-change upload to enable stack protector.

 -- Kees Cook <kees@ubuntu.com>  Tue, 14 Aug 2007 11:23:36 -0700

magyarispell (1.2-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/compat
    - Bump compat version to make lintian happy
  * debian/control
    - Modify Maintainer value to match Debian-Maintainer-Field Spec
    - Update standards version
    - Update Openoffice.org recommends verson (based on structural changes in
      the dictionary files)
  * debian/rules
    - Install complete latin2 and (not fully complete) utf8 morphological files as well

 -- Aron Sisak <aron@ubuntu.hu>  Sat, 04 Aug 2007 12:49:25 +0200

=== debian/control ===
Source: magyarispell
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.2
Build-Depends: ispell, m4, debhelper (>= 5.0), dictionaries-common-dev (>= 0.20)
Homepage: http://magyarispell.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/magyarispell.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/magyarispell.git

Package: ihungarian
Architecture: any
Depends: ispell, debconf, dictionaries-common, ${misc:Depends}
Provides: ispell-dictionary
Description: Hungarian dictionary for ispell
 This is the Hungarian dictionary for ispell made by NEMETH Laszlo.

Package: myspell-hu
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: openoffice.org (>= 2.0.2-2)
Conflicts: openoffice.org (<= 1.0.3-2), myhungarian
Provides: myspell-dictionary, myspell-dictionary-hu, myhungarian
Replaces: myhungarian
Description: Hungarian dictionary for myspell
 This is the Hungarian dictionary for use with the myspell spellchecker
 which is currently used within OpenOffice.org and the mozilla
 spellchecker.

## magyarispell 1.6.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Magyar Ispell helyesrsi sztr
-# makefile v0.21 (2007. 5. 2.)
+# makefile v0.21 (2007-09-12)
 
 #######################################################################
 # Felhasznli bellts
@@ -98,12 +98,6 @@
 	@echo "==> igk" | $(CATUTF)
 	@$(SH) bin/igek $(ROOTDIR)
 
-	@echo "==> nvszk" | $(CATUTF)
-	@$(SH) bin/fonevek $(ROOTDIR)
-
-	@echo "==> morfolgiai kdok" | $(CATUTF)
-	@$(SH) bin/kodok $(ROOTDIR)
-
 # egyb kivtelek: az m4 miatt nem megy kln hjprogramba
 	@echo "==> kivtelek" | $(CATUTF)
 	@cat $(SZOTAR)/kivetelek/igekotos/*.2* \
@@ -121,16 +115,22 @@
 		>> $(DICT)
 	@echo $(EN) ."$(EC)"
 	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
-		| $(M4) | grep -v ^# | grep -v "#[A-Z]" \
+		| $(M4) | $(BINDIR)/field | grep -v ^# | grep -v "#[A-Z]" \
 		| sed 's/[	 ]*#.*$$//' \
 		| LC_ALL=C $(AWK) -f $(AWKDIR)/tovek.awk \
 		>> $(DICT)
 	@echo $(EN) ."$(EC)"
 	@cat $(WRKDIR)/ragozatlan.2 $(SZOTAR)/kivetelek/ragozatlan/*.2* \
-		| $(M4) | grep -v ^# | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
+		| $(M4) | $(BINDIR)/field | grep -v ^# | grep -i "#$(*F)" | sed 's/[	 ]*#.*$$//' \
 		| LC_ALL=C $(AWK) -f $(AWKDIR)/tovek.awk \
 		>> $(DICT)
 	@echo Rendben.
+
+	@echo "==> nvszk" | $(CATUTF)
+	@$(SH) bin/fonevek $(ROOTDIR)
+
+	@echo "==> morfolgiai kdok" | $(CATUTF)
+	@$(SH) bin/kodok $(ROOTDIR)
 
 	@echo $(EN) ."$(EC)"
 
@@ -202,19 +202,20 @@
 #ispell: magyar4ispell.hash
 
 # hu_HU.aff myspell ragozsi tblzat s a hu_HU.dic sztr ellltsa
-myspell: magyar4myspell.dict magyar.aff hu_HU.aff hu_HU.dic kr
+myspell: magyar4myspell.dict magyar.aff hu_HU.aff hu_HU.dic alias kr
 
 # - hu_HU.aff myspell ragozsi tblzat ellltsa az sszes
 #   lehetsges cserebetvel
 # a myspellhez ellltott magyar.aff llomnyhoz
 hu_HU.aff: magyar.aff
 	@echo "===> myspell ragozsi tblzat (hu_HU.aff) ellltsa" | $(CATUTF)
-	@$(SH) bin/i2myspell $(WRKDIR)/magyar.aff MYSPELL_heading \
+	@$(SH) bin/i2myspell $(WRKDIR)/magyar.aff HUNSPELL_heading \
 		A-Z a-z | sed 's/q\([^[]*\]\)/-\1/' | \
-                bin/newsyntax >$(ROOTDIR)/hu_HU_morph.aff
-	@$(AWK) -f $(AWKDIR)/delete_morph_tags.awk $(ROOTDIR)/hu_HU_morph.aff | \
-		sed 's/&agrave;//g;s/&oslash;//g' >$(ROOTDIR)/hu_HU.aff
-	
+                bin/newsyntax >$(ROOTDIR)/hu_HU_morph.aff                
+	@cat $(ROOTDIR)/hu_HU_morph.aff | bin/aff2gen | \
+	        sed 's/&agrave;//g;s/&oslash;//g' >$(ROOTDIR)/hu_HU_gen.aff
+	@cat $(ROOTDIR)/hu_HU_gen.aff | \
+		LC_ALL=C sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU.aff
 
 # q ktjell alaktva a szablyokban
 
@@ -223,18 +224,31 @@
 hu_HU.dic: magyar.aff
 	@echo "===> myspell sztr (hu_HU.dic) ellltsa" | $(CATUTF)
 	@$(SH) bin/i2myspell -d $(WRKDIR)/magyar4myspell.dict | \
-	      bin/lemma_present | bin/quniq >$(ROOTDIR)/hu_HU_morph.dic
-	@LC_ALL=C sed 's/	.*//' $(ROOTDIR)/hu_HU_morph.dic >$(ROOTDIR)/hu_HU.dic
+	    bin/lemma_present | bin/quniq >$(ROOTDIR)/hu_HU_morph.dic
+	@cat $(ROOTDIR)/hu_HU_morph.dic | \
+	    bin/dic2gen $(WRKDIR)/mezok2.txt >$(ROOTDIR)/hu_HU_gen.dic
+	@cat hu_HU_gen.dic | \
+	    sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU.dic
 
 u8: hu_HU.aff hu_HU.dic
 	@echo "===> Unicode karakterkdols llomnyok ellltsa" | $(CATUTF)
 	@bin/u8myspell $(ROOTDIR)/hu_HU_morph $(WRKDIR)/hu_HU_u8_morph l2
 	@cat $(WRKDIR)/hu_HU_u8_morph.dic | sed 's#	/#/#' >$(ROOTDIR)/hu_HU_u8_morph.dic
 	@mv $(WRKDIR)/hu_HU_u8_morph.aff $(ROOTDIR)
-	@sed 's/	.*//' $(ROOTDIR)/hu_HU_u8_morph.dic >$(ROOTDIR)/hu_HU_u8.dic
-	@$(AWK) -f $(AWKDIR)/delete_morph_tags.awk $(ROOTDIR)/hu_HU_u8_morph.aff \
-		>$(ROOTDIR)/hu_HU_u8.aff 
-        
+	@cat $(ROOTDIR)/hu_HU_u8_morph.dic | \
+	    bin/dic2gen $(WRKDIR)/mezok_utf.txt >$(ROOTDIR)/hu_HU_u8_gen.dic
+	@cat hu_HU_u8_gen.dic | \
+	    sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU_u8.dic
+	@cat $(ROOTDIR)/hu_HU_u8_morph.aff | \
+	    bin/aff2gen >$(ROOTDIR)/hu_HU_u8_gen.aff
+	@cat hu_HU_u8_gen.aff | \
+	    sed 's/\t\([^p].\|.[^h]\):[^\t]*//g' >$(ROOTDIR)/hu_HU_u8.aff
+
+alias: u8
+	@echo "===> Tmrtett Hunspell sztrak elksztse" | $(CATUTF)
+	@$(SH) bin/makealias $(ROOTDIR)/hu_HU_u8.dic $(ROOTDIR)/hu_HU_u8.aff
+	@$(SH) bin/makealias $(ROOTDIR)/hu_HU_u8_gen.dic $(ROOTDIR)/hu_HU_u8_gen.aff
+
 kr: hu_HU.aff hu_HU.dic u8 
 	@cd kr; make

=== kr/Makefile ===
# Kornai & Rebrus morfolgiai kdols prototpusa
# teszt: bin/morph2

WRKDIR=../tmp

all: h test

test:
	@#test -x hunmorph && ../hu_HU_morph2.aff ../hu_HU_morph2.dic test.txt >../tmp/test.out
	@#test -x hunmorph && diff test.morph ../tmp/test.out && echo 'Elemzs ellenrizve.' || echo 'Hiba!'

h: hu
	@sed -f c1.sed $(WRKDIR)/hu.aff >../hu_HU_morph2.aff
	@sed -f c2.sed $(WRKDIR)/hu.dic >../hu_HU_morph2.dic

hu: ../hu_HU_morph.aff ../hu_HU_morph.dic
	@sed -f csere.txt ../hu_HU_morph.aff >$(WRKDIR)/hu.aff
	@sed -f csere.txt ../hu_HU_morph.dic >$(WRKDIR)/hu.dic

clean:
	rm $(WRKDIR)/h.aff $(WRKDIR)/h.dic $(WRKDIR)/hu.aff $(WRKDIR)/hu.dic

=== debian/changelog ===
magyarispell (1.6.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:47:27 +0100

magyarispell (1.6.1-2) unstable; urgency=medium

  * Build depend on and use gawk where gensub is used (Closes: #757166)
  * Bump Debhelper compat level to 9
  * Suggest libreoffice instead of openoffice.org
  * Modernize packaging using dh
  * Bump standards version without other changes
  * Finalize changelog

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 22 Aug 2014 22:13:04 +0200

magyarispell (1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #568322)
  * Adopt the package (Closes: #568328)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Jan 2014 00:52:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: magyarispell
 Section: text
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.2
-Build-Depends: ispell, m4, debhelper (>= 5.0), dictionaries-common-dev (>= 0.20)
+Maintainer: Balint Reczey <balint@balintreczey.hu>
+Standards-Version: 3.9.5
+Build-Depends: ispell, m4, debhelper (>= 9), dictionaries-common-dev (>= 0.20), gawk
 Homepage: http://magyarispell.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/magyarispell.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/magyarispell.git
@@ -18,7 +18,7 @@
 Package: myspell-hu
 Architecture: all
 Depends: dictionaries-common (>= 0.10), ${misc:Depends}
-Suggests: openoffice.org (>= 2.0.2-2)
+Suggests: libreoffice
 Conflicts: openoffice.org (<= 1.0.3-2), myhungarian
 Provides: myspell-dictionary, myspell-dictionary-hu, myhungarian
 Replaces: myhungarian

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) ispell myspell

override_dh_auto_install:
	mv tmp/magyar.aff tmp/hungarian.aff
	mv tmp/magyar4ispell.hash tmp/hungarian.hash
	installdeb-ispell -pihungarian # This calls internally to dh_installdebconf

=== debian/watch ===
# format version number, this line is compulsory!
version=2

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
http://sf.net/magyarispell/magyarispell-(.+)\.tar\.gz
